Bug 136982 - k3b send sigabrt when it start up.
k3b send sigabrt when it start up.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On: 134822
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-24 14:54 EDT by MASA.H
Modified: 2015-01-04 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 21:21:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MASA.H 2004-10-24 14:54:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I start k3b ,then k3b crushes and sends SIGABRT. 

Version-Release number of selected component (if applicable):
k3b-0.11.14-2

How reproducible:
Always

Steps to Reproduce:
1.start up
2.
3.
    

Additional info:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -151184672 (LWP 16170)]
[KCrash handler]
#4  0x007247a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#5  0x00764955 in raise () from /lib/tls/libc.so.6
#6  0x00766319 in abort () from /lib/tls/libc.so.6
#7  0x00b7c6eb in __gnu_cxx::__verbose_terminate_handler ()
   from /usr/lib/libstdc++.so.6
#8  0x00b7a3fd in __cxa_call_unexpected () from /usr/lib/libstdc++.so.6
#9  0x00b7a432 in std::terminate () from /usr/lib/libstdc++.so.6
#10 0x00b7a57b in __cxa_throw () from /usr/lib/libstdc++.so.6
#11 0x00b7a9cc in operator new () from /usr/lib/libstdc++.so.6
#12 0x00b7aa69 in operator new[] () from /usr/lib/libstdc++.so.6
#13 0x003af97b in K3bCdDevice::CdDevice::init ()
   from /usr/lib/libk3bdevice.so.2
#14 0x003ba54d in K3bCdDevice::DeviceManager::addDevice ()
   from /usr/lib/libk3bdevice.so.2
#15 0x003bd361 in K3bCdDevice::DeviceManager::readConfig ()
   from /usr/lib/libk3bdevice.so.2
#16 0x00d79f55 in K3bCore::init () from /usr/lib/libk3bcore.so.2
#17 0x080817ba in QPtrList<KAction>::deleteItem ()
#18 0x0809f388 in QPtrList<K3bPluginFactory>::deleteItem ()
#19 0x00751e33 in __libc_start_main () from /lib/tls/libc.so.6
#20 0x0807df61 in ?? ()
Comment 1 Harald Hoyer 2004-10-25 05:26:39 EDT
could you append the coredump?
or install
http://people.redhat.com/~harald/k3b-debuginfo-0.11.14-2.i386.rpm
and then give me the traceback?
Please! Thanks!
Comment 2 Warren Togami 2004-10-25 06:12:32 EDT
*** glibc detected *** double free or corruption: 0x0937d008 ***
Does k3b run from a terminal, do you see anything like this?

Also please run from terminal in this way:
MALLOC_CHECK_=0 k3b
Does it start when it otherwise would have failed?
Comment 3 MASA.H 2004-10-25 09:32:36 EDT
$MALLOC_CHECK_=0 k3b
Invalid entry (empty key) at /home/masahase/.kde/share/config/k3brc:22
kbuildsycoca running...
Reusing existing ksycoca
terminate called after throwing an instance of 'std::bad_alloc'
  what():  St9bad_alloc
KCrash: Application 'k3b' crashing...
Mutex destroy failure: デバイスもしくはリソー スがビジー状態です
ICE default IO error handler doing an exit(), pid = 14637, errno = 0
Comment 4 MASA.H 2004-10-25 09:39:11 EDT
After installing k3b-debuginfo.

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -151188768 (LWP 14895)]
[KCrash handler]
#4  0x007247a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#5  0x00764955 in raise () from /lib/tls/libc.so.6
#6  0x00766319 in abort () from /lib/tls/libc.so.6
#7  0x00b7c6eb in __gnu_cxx::__verbose_terminate_handler ()
   from /usr/lib/libstdc++.so.6
#8  0x00b7a3fd in __cxa_call_unexpected () from /usr/lib/libstdc++.so.6
#9  0x00b7a432 in std::terminate () from /usr/lib/libstdc++.so.6
#10 0x00b7a57b in __cxa_throw () from /usr/lib/libstdc++.so.6
#11 0x00b7a9cc in operator new () from /usr/lib/libstdc++.so.6
#12 0x00b7aa69 in operator new[] () from /usr/lib/libstdc++.so.6
#13 0x003af97b in K3bCdDevice::CdDevice::init (this=0x8b739c8)
    at k3bdevice.cpp:219
#14 0x003ba54d in K3bCdDevice::DeviceManager::addDevice (this=0x89b5a30, 
    devicename=@0x8b71700) at k3bdevicemanager.cpp:504
#15 0x003bd361 in K3bCdDevice::DeviceManager::readConfig (this=0x89b5a30, 
    c=0x896c2a8) at qvaluelist.h:110
#16 0x00d79f55 in K3bCore::init (this=0x89b5b20) at k3bcore.cpp:132
#17 0x080817ba in K3bApplication::init (this=0xfefc0f40)
    at k3bapplication.cpp:98
#18 0x0809f388 in main (argc=0, argv=0x0) at main.cpp:120
#19 0x00751e33 in __libc_start_main () from /lib/tls/libc.so.6
#20 0x0807df61 in _start ()

Comment 5 Harald Hoyer 2004-10-25 11:38:10 EDT
wow... the line for this is:
    unsigned char* profiles = new unsigned char[len];

which version of libstdc++ do you have?
$ rpm -qf /usr/lib/libstdc++.so.6
libstdc++-3.4.2-6
Comment 6 Harald Hoyer 2004-10-25 11:39:02 EDT
you may als try to
$ rm -f /home/masahase/.kde/share/config/k3b*
Comment 7 Harald Hoyer 2004-10-25 11:43:35 EDT
Another thing... try and start k3b with a disk inserted
Comment 8 Harald Hoyer 2004-10-25 11:50:02 EDT
I think, I know what's going on...
Because of bug #134822, we have bug #136155 and this bug.
The inquiry does not return any value... so the "new" is called with
an incredible amount of memory...

Try to start k3b with a disk inserted in your SCSI drives...
Comment 9 MASA.H 2004-10-25 12:07:08 EDT
$ rpm -qf /usr/lib/libstdc++.so.6
libstdc++-3.4.2-6
Comment 10 MASA.H 2004-10-25 12:24:31 EDT
I tryed;
$ rm -f /home/masahase/.kde/share/config/k3b*

And starting k3b with a disk inserted, k3b started normaly.

So, this problem is solved. But this bug is not solved ,I think.
Comment 11 Harald Hoyer 2004-11-23 08:07:26 EST
kernel issue, see #134822
Comment 12 Dave Jones 2005-10-06 00:01:33 EDT
still causing problems with the latest errata ?
Comment 13 Dave Jones 2005-11-10 15:26:01 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 14 Dave Jones 2005-12-27 21:21:17 EST
This should be fixed in current kernels.

Note You need to log in before you can comment on or make changes to this bug.